<?php

if (file_exists("data/lite.txt")) {
	exit();
}

if (!file_exists("data/reg.txt")) {
	exit();
}

error_reporting(E_ERROR);

if (get_magic_quotes_gpc()) {
	function stripslashes_array($data) {
		if (is_array($data)){
			 foreach ($data as $key => $value){
				  $data[$key] = stripslashes_array($value);
			 }
			 return $data;
		}
		else{
			 return stripslashes($data);
		}
	}

	$_REQUEST = stripslashes_array($_REQUEST);
}

if (file_exists("data/offset.txt")) {
	$offset = file_get_contents("data/offset.txt");
}
else {
	$offset = 0;
}

if (file_exists("data/bb-min-age.txt")) {
	$minage = file_get_contents("data/bb-min-age.txt");
}
else {
	$minage = 5;
}

if (file_exists("data/bb-max-age.txt")) {
	$maxage = file_get_contents("data/bb-max-age.txt");
}
else {
	$maxage = 125;
}

?>

<style>
body {
	color: #666666;
	margin: 10px;
	padding: 0px;
	text-align: left;
	font-family: <?php
				if (file_exists("data/fonts/body.txt")) {
					$font_body = file_get_contents("data/fonts/body.txt");
					echo "{$font_body},";
				}
	?> arial, helvetica, sans-serif;
	background-color: #FFFFFF;
}

p {
	font-size: 11px;
}

a {
	font-weight: bold;
	text-decoration: none;
}

a:link, a:visited {
	color: #666666;
}

a:hover {
	color: #336699;
}

a:active {
	color: #336699;
}

.input { 	
	color: #666666; 
	background: #ffffff; 
	border: #999999 solid 1px; 
	width: 300px; 
	font-family: <?php
				if (file_exists("data/fonts/input.txt")) {
					$font_input = file_get_contents("data/fonts/input.txt");
					echo "{$font_input},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px;
	font-weight: normal;
}

.bd { 	
	color: #666666; 
	background: #ffffff; 
	border: #999999 solid 1px; 
	width: 98px; 
	font-family: <?php
				if (file_exists("data/fonts/input.txt")) {
					$font_input = file_get_contents("data/fonts/input.txt");
					echo "{$font_input},";
				}
	?> arial, helvetica, sans-serif;
	font-size: 11px;
	font-weight: normal;
}
</style>

<?php

// 20061014 - reg.php

function str_rand($length = 8, $seeds = 'abcdefghijklmnopqrstuvwxyz0123456789') {
	$str = '';
	$seeds_count = strlen($seeds);
	
	list($usec, $sec) = explode(' ', microtime());
	$seed = (float) $sec + ((float) $usec * 100000);
	mt_srand($seed);
	
	for ($i = 0; $length > $i; $i++) {
		$str .= $seeds{mt_rand(0, $seeds_count - 1)};
	}
	
	return $str;
}

function rmdirr($recurse_dirname) {

    if (!file_exists($recurse_dirname)) {
        return false;
    }

    if (is_file($recurse_dirname)) {
        return unlink($recurse_dirname);
    }

    $recurse_dir = dir($recurse_dirname);
    while (false !== $recurse_entry = $recurse_dir->read()) {

        if ($recurse_entry == '.' || $recurse_entry == '..') {
            continue;
        }

        rmdirr("$recurse_dirname/$recurse_entry");
    }

    $recurse_dir->close();
    return rmdir($recurse_dirname);
}

if (isset($_REQUEST['username']) and !empty($_REQUEST['username']) and isset($_REQUEST['key']) and !empty($_REQUEST['key']) and isset($_REQUEST['action']) and !empty($_REQUEST['action'])) {

	$username = $_REQUEST['username'];

	if (file_exists("data/members/confirmed/$username") and ($_REQUEST['key'] == file_get_contents("data/members/confirmed/$username/key.txt"))) {
		if ($_REQUEST['action'] == "approve") {
			unlink("data/members/confirmed/$username/key.txt");
			$timestamp = date("YmdHis", time() + $offset);
			$fp_timestamp_txt = fopen("data/members/confirmed/$username/timestamp.txt","w");
			fwrite($fp_timestamp_txt,$timestamp);
			fclose($fp_timestamp_txt);
			if (!file_exists("data/members/active")) {
				mkdir("data/members/active");
			}
			rename("data/members/confirmed/$username","data/members/active/$username");

			$password = str_rand(16);
			
			/* Fun with crypt! */
			$passwd = sha1($password);
			$passwd = md5($passwd);
			$passwd = crypt($passwd, $passwd);

			$fp_passwd_txt = fopen("data/members/active/$username/password.txt","w");
			fwrite($fp_passwd_txt,$passwd);
			fclose($fp_passwd_txt);

			$firstname = file_get_contents("data/members/active/$username/firstname.txt");
			$lastname = file_get_contents("data/members/active/$username/lastname.txt");
			$email = file_get_contents("data/members/active/$username/email.txt");
			$from_email = file_get_contents("data/email.txt");

			$mailer = 'MAJ/0.14 (PHP/' . phpversion() . ')';

			$sig_author = file_get_contents("data/author.txt");

			$sig_url = $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . "/";
			$sig_url = str_replace('//', '/', $sig_url);
			$sig_url = "http://" . $sig_url;

			$registered_notice = "$firstname $lastname ($email), AKA $username, has been successfully registered at {$sig_url}.";
			$registered_notice = wordwrap($registered_notice);

			$password_notice = "Hi $firstname,\n\nYour membership at $sig_url has been activated.\n\nThe initial password for \"$username\" is \"$password\" (case-sensitive). Please change this as soon as possible. For security reasons, your password on record is encrypted - you're the only one who knows what it is.\n\nIf you need further assistance, please send email to $from_email.\n\nThanks!\n\n--\n$sig_author\n$sig_url\n";

			$password_notice = wordwrap($password_notice);

			$email_from = '"' . $sig_author . '" <' . $from_email . '>';
			$email_to =  '"' . "$firstname $lastname" . '" <' . $email . '>';

			mail($email_from, "registration notice ($email)", $registered_notice, 
				"From: $email_from\r\n" . 
				"Reply-To: $email_from\r\n" .
				"X-Mailer: $mailer");

			mail($email_to, "password notice ($username)", $password_notice, 
				"From: $email_from\r\n" . 
				"Reply-To: $email_from\r\n" .
				"X-Mailer: $mailer");

			$fp_new_txt = fopen("data/bb-new.txt","w");
			fwrite($fp_new_txt,$username);
			fclose($fp_new_txt);

			echo "<p><font style=\"font-size: 12px;\"><b>Approved</b></font></p><p>The e-mail address ";
			readfile("data/members/active/$username/email.txt");
			echo " has been registered.<br>Click <a href=index.php>here</a> to go to the index page.</p>";
		}

		if ($_REQUEST['action'] == "deny") {
			rmdirr("data/members/confirmed/$username");
			echo "<p><font style=\"font-size: 12px;\"><b>Denied</b></font></p><p>The e-mail address ";
			readfile("data/members/active/$username/email.txt");
			echo " will not be registered.<br>Registration request deleted.<br>Click <a href=index.php>here</a> to go to the index page.</p>";
		}

	}
	exit();
}

if (isset($_REQUEST['username']) and !empty($_REQUEST['username']) and isset($_REQUEST['key']) and !empty($_REQUEST['key'])) {

	$username = $_REQUEST['username'];

	if (file_exists("data/members/pending/$username") and ($_REQUEST['key'] == file_get_contents("data/members/pending/$username/key.txt"))) {

		$firstname = file_get_contents("data/members/pending/$username/firstname.txt");
		$lastname = file_get_contents("data/members/pending/$username/lastname.txt");
		$email = file_get_contents("data/members/pending/$username/email.txt");
		$from_email = file_get_contents("data/email.txt");

		$mailer = 'MAJ/0.14 (PHP/' . phpversion() . ')';

		$sig_url = $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . "/";
		$sig_url = str_replace('//', '/', $sig_url);
		$sig_url = "http://" . $sig_url;

		$sig_author = file_get_contents("data/author.txt");

		unlink("data/members/pending/$username/key.txt");

		$timestamp = date("YmdHis", time() + $offset);

		$fp_timestamp_txt = fopen("data/members/pending/$username/timestamp.txt","w");
		fwrite($fp_timestamp_txt,$timestamp);
		fclose($fp_timestamp_txt);

		if (!file_exists("data/xapp.txt")) {
			if (!file_exists("data/members/confirmed")) {
				mkdir("data/members/confirmed");
			}
			rename("data/members/pending/$username","data/members/confirmed/$username");

			$key = str_rand(40);

			$fp_key_txt = fopen("data/members/confirmed/$username/key.txt","w");
			fwrite($fp_key_txt,$key);
			fclose($fp_key_txt);

			$confirmation_notice = "$firstname $lastname, AKA $username, successfully confirmed the e-mail address $email for registration at {$sig_url}.\n\nVisit the link below to approve this registration:\n\n{$sig_url}reg.php?username=$username&key=$key&action=approve\n\nVisit the link below to deny this registration:\n\n{$sig_url}reg.php?username=$username&key=$key&action=deny\n\nYou can also approve or deny pending registration requests at a later time by logging on to your blog.";
			$confirmation_notice = wordwrap($confirmation_notice);

			$email_from = '"' . $sig_author . '" <' . $from_email . '>';

			mail($email_from, "confirmation notice ($email)", $confirmation_notice, 
				"From: $email_from\r\n" . 
				"Reply-To: $email_from\r\n" .
				"X-Mailer: $mailer");
		}
		else {
			if (!file_exists("data/members/active")) {
				mkdir("data/members/active");
			}
			rename("data/members/pending/$username","data/members/active/$username");
			$registered_notice = "$firstname $lastname ($email), AKA $username, has been successfully registered at {$sig_url}.";
			$registered_notice = wordwrap($registered_notice);

			$email_from = '"' . $sig_author . '" <' . $from_email . '>';

			mail($email_from, "registration notice ($email)", $registered_notice, 
				"From: $email_from\r\n" . 
				"Reply-To: $email_from\r\n" .
				"X-Mailer: $mailer");

			$password = str_rand(16);
			
			/* Fun with crypt! */
			$passwd = sha1($password);
			$passwd = md5($passwd);
			$passwd = crypt($passwd, $passwd);

			$fp_passwd_txt = fopen("data/members/active/$username/password.txt","w");
			fwrite($fp_passwd_txt,$passwd);
			fclose($fp_passwd_txt);

			$firstname = file_get_contents("data/members/active/$username/firstname.txt");
			$lastname = file_get_contents("data/members/active/$username/lastname.txt");
			$email = file_get_contents("data/members/active/$username/email.txt");
			$from_email = file_get_contents("data/email.txt");

			$mailer = 'MAJ/0.14 (PHP/' . phpversion() . ')';

			$sig_author = file_get_contents("data/author.txt");

			$sig_url = $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . "/";
			$sig_url = str_replace('//', '/', $sig_url);
			$sig_url = "http://" . $sig_url;

			$password_notice = "Hi $firstname,\n\nYour membership at $sig_url has been activated.\n\nThe initial password for \"$username\" is \"$password\" (case-sensitive). Please change this as soon as possible. For security reasons, your password on record is encrypted - you're the only one who knows what it is.\n\nIf you need further assistance, please send email to $from_email.\n\nThanks!\n\n--\n$sig_author\n$sig_url\n";

			$password_notice = wordwrap($password_notice);

			$email_from = '"' . $sig_author . '" <' . $from_email . '>';
			$email_to =  '"' . "$firstname $lastname" . '" <' . $email . '>';

			mail($email_to, "password notice ($username)", $password_notice, 
				"From: $email_from\r\n" . 
				"Reply-To: $email_from\r\n" .
				"X-Mailer: $mailer");

			$fp_new_txt = fopen("data/bb-new.txt","w");
			fwrite($fp_new_txt,$username);
			fclose($fp_new_txt);
			
		}

		echo "<p><font style=\"font-size: 12px;\"><b>Thanks!</b></font></p><p>You have successfully verified your e-mail address.<br>";

		if (file_exists("data/xapp.txt")) {
			echo "You are now a registered member on this site.";
		}
		else {
			echo "Your membership will be activated as soon as your registration is approved.";
		}

		echo "<br>Click <a href=index.php>here</a> to go to the index page.</p>";

	}

	exit();
}

if (isset($_REQUEST['username']) and !empty($_REQUEST['username']) and ($_REQUEST['username'] != "all") and isset($_POST['captcha_put']) and !empty($_POST['captcha_get']) and isset($_POST['firstname']) and !empty($_POST['firstname']) and isset($_POST['lastname']) and !empty($_POST['lastname']) and isset($_POST['email']) and !empty($_POST['email']) and isset($_POST['captcha_put']) and !empty($_POST['captcha_put']) and ($_POST['captcha_get'] == $_POST['captcha_put']) and (ereg("@", $_POST['email'])) and (ereg("\.", $_POST['email'])) and (strpos(file_get_contents("data/bb-reserved.txt"), $_REQUEST['username']) === false) and isset($_POST['bd_year']) and !empty($_POST['bd_year']) and isset($_POST['bd_month']) and !empty($_POST['bd_month']) and isset($_POST['bd_day']) and !empty($_POST['bd_day']) and (strlen($_POST['bd_year']) == "4") and (strlen($_POST['bd_month']) == "2") and (strlen($_POST['bd_day']) == "2") and is_numeric($_POST['bd_year']) and is_numeric($_POST['bd_month']) and is_numeric($_POST['bd_day']) and ((date("Y", time() + $offset) - $_POST['bd_year']) <= $maxage) and ((date("Y", time() + $offset) - $_POST['bd_year']) >= $minage) and ($_POST['bd_month'] >= 1) and ($_POST['bd_month'] <= 12) and ($_POST['bd_day'] >= 1) and ($_POST['bd_day'] <= 31) and isset($_POST['country']) and !empty($_POST['country']) and isset($_POST['city']) and !empty($_POST['city'])) {

	$username = strtolower($_REQUEST['username']);
	$username = str_replace(" ","_",$username);
	$username = trim($username);
	$username = htmlentities($username, ENT_NOQUOTES);

	$firstname = strtolower($_POST['firstname']);		
	$firstname = ucwords($firstname);
	$firstname = trim($firstname);
	$firstname = htmlentities($firstname, ENT_NOQUOTES);
	
	$lastname = strtolower($_POST['lastname']);
	$lastname = ucwords($lastname);
	$lastname = trim($lastname);
	$lastname = htmlentities($lastname, ENT_NOQUOTES);
	
	$email = strtolower($_POST['email']);
	$email = trim($email);
	$email = str_replace(" ","",$email);
	$email = htmlentities($email, ENT_NOQUOTES);

	$country = trim($_POST['country']);
	$country = strtoupper($country);

	$city = strtolower($_POST['city']);
	$city = ucwords($city);
	$city = trim($city);
	$city = htmlentities($city, ENT_NOQUOTES);

	if (!file_exists("data/members")) {
		mkdir("data/members");
	}

	if (!file_exists("data/members/pending")) {
		mkdir("data/members/pending");
	}
	
	if (!file_exists("data/members/pending/$username") and !file_exists("data/members/confirmed/$username") and !file_exists("data/members/active/$username") and ($username != file_get_contents("data/username.txt"))) {
		mkdir("data/members/pending/$username");

		$fp_firstname_txt = fopen("data/members/pending/$username/firstname.txt","w");
		fwrite($fp_firstname_txt,$firstname);
		fclose($fp_firstname_txt);

		$fp_lastname_txt = fopen("data/members/pending/$username/lastname.txt","w");
		fwrite($fp_lastname_txt,$lastname);
		fclose($fp_lastname_txt);

		$fp_email_txt = fopen("data/members/pending/$username/email.txt","w");
		fwrite($fp_email_txt,$email);
		fclose($fp_email_txt);

		$bday = $_POST['bd_year'] . $_POST['bd_month'] . $_POST['bd_day'];
		$fp_bday_txt = fopen("data/members/pending/$username/bday.txt","w");
		fwrite($fp_bday_txt,$bday);
		fclose($fp_bday_txt);

		if (isset($_POST['url']) and !empty($_POST['url']) and (ereg("\.", $_POST['url']))) {
			$url = str_replace('http://', '', $_POST['url']);
			$url = strtolower($url);
			$url = trim($url);
			$url = 'http://' . $url;
			$url = str_replace(" ","",$url);
			$url = htmlentities($url, ENT_NOQUOTES);
			$fp_url_txt = fopen("data/members/pending/$username/url.txt","w");
			fwrite($fp_url_txt,$url);
			fclose($fp_url_txt);
		}

		$fp_country_txt = fopen("data/members/pending/$username/country.txt","w");
		fwrite($fp_country_txt,$country);
		fclose($fp_country_txt);

		$fp_city_txt = fopen("data/members/pending/$username/city.txt","w");
		fwrite($fp_city_txt,$city);
		fclose($fp_city_txt);

		$key = str_rand(40);

		$fp_key_txt = fopen("data/members/pending/$username/key.txt","w");
		fwrite($fp_key_txt,$key);
		fclose($fp_key_txt);

		$mailer = 'MAJ/0.14 (PHP/' . phpversion() . ')';

		$sig_url = $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . "/";
		$sig_url = str_replace('//', '/', $sig_url);
		$sig_url = "http://" . $sig_url;

		$sig_author = file_get_contents("data/author.txt");
		$from_email = file_get_contents("data/email.txt");

		$confirm_thanks = "Hi $firstname,\n\nWe have received a registration request for $email to $sig_url. To confirm this, simply visit this link:\n\n{$sig_url}reg.php?username=$username&key=$key\n\nIf you do not wish to be a member, please disregard this message. If you think you are being maliciously registered, or have any other questions, send them to $from_email.\n\nThanks!\n\n--\n$sig_author\n$sig_url\n";

		$confirm_thanks = wordwrap($confirm_thanks);

		$email_from = '"' . $sig_author . '" <' . $from_email . '>';
		$email_to =  '"' . "$firstname $lastname" . '" <' . $email . '>';

		mail($email_to, "confirm $key", $confirm_thanks,
				"From: $email_from\r\n" . 
				"Reply-To: $email_from\r\n" .
				"X-Mailer: $mailer");

		echo "<p><font style=\"font-size: 12px;\"><b>Thanks!</b></font></p><p>Your registration request was successfully submitted. Check your $email inbox for details.<br>You can register another e-mail address below or click <a href=index.php>here</a> to go to the index page.</p>";

	}
	else {
		echo "<p><font style=\"font-size: 12px;\"><b>Oops!</b></font></p><p>Sorry, the username $username is already taken. Please try another one.</p>";
	}
}

?>

<p><b>Register</b></p>

<p>Fill out the form below and enter <b><?php $captcha_rand = str_rand(7); echo $captcha_rand; ?></b> as your registration code.</p>

<?php

if (file_exists("data/bb-disclaimer.txt")) {
	echo "<table border=0 cellspacing=0 cellpadding=0 width=400><tr><td><p>";
	readfile("data/bb-disclaimer.txt");
	echo "</p></td></tr><tr><td><p>&nbsp;</p></td></tr></table>";
}

?>

<table border=0 cellspacing=2 cellpadding=0>
<form enctype="multipart/form-data" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
<input type=hidden name=captcha_get value="<?php echo $captcha_rand; ?>">
<tr><td width=100><p>Username</p></td><td colspan=3><input class=input type=text autocomplete=off name=username maxlength=30></td></tr>
<tr><td width=100><p>First Name</p></td><td width=300 colspan=3><input class=input type=text autocomplete=off name=firstname maxlength=30></td></tr>
<tr><td width=100><p>Last Name</p></td><td colspan=3><input class=input type=text autocomplete=off name=lastname maxlength=30></td></tr>
<tr><td width=100><p>E-mail Address</p></td><td colspan=3><input class=input type=text autocomplete=off name=email maxlength=60></td></tr>
<tr><td width=100><p>Birthdate</p></td><td><input class=bd type=text autocomplete=off name=bd_year maxlength=4 value=<?php echo date("Y", time() + $offset); ?>></td><td><input class=bd type=text autocomplete=off name=bd_month maxlength=2 value=<?php echo date("m", time() + $offset); ?>></td><td><input class=bd type=text autocomplete=off name=bd_day maxlength=2 value=<?php echo date("d", time() + $offset); ?>></td></tr>
<tr><td width=100><p>Website</p></td><td colspan=3><input class=input type=text autocomplete=off name=url maxlength=300></td></tr>

<tr><td width=100><p>Country</p></td><td colspan=3>

<select class="input" name="country">
<option value=""></option>
<option value="AF">Afghanistan</option>
<option value="AX">Aland (Ahvenanmaa) Islands</option>
<option value="AL">Albania</option>
<option value="DZ">Algeria</option>
<option value="AS">American Samoa</option>
<option value="AD">Andorra</option>
<option value="AO">Angola</option>
<option value="AI">Anguilla</option>
<option value="AQ">Antarctica</option>
<option value="AG">Antigua & Barbuda</option>
<option value="AR">Argentina</option>
<option value="AM">Armenia</option>
<option value="AW">Aruba</option>
<option value="AU">Australia</option>
<option value="AT">Austria</option>
<option value="AZ">Azerbaijan</option>
<option value="BS">Bahamas</option>
<option value="BH">Bahrain</option>
<option value="BD">Bangladesh</option>
<option value="BB">Barbados</option>
<option value="BY">Belarus</option>
<option value="BE">Belgium</option>
<option value="BZ">Belize</option>
<option value="BJ">Benin</option>
<option value="BM">Bermuda</option>
<option value="BT">Bhutan</option>
<option value="BO">Bolivia</option>
<option value="BA">Bosnia & Herzegovina</option>
<option value="BW">Botswana</option>
<option value="BV">Bouvet Island</option>
<option value="BR">Brazil</option>
<option value="IO">British Indian Ocean Territory</option>
<option value="BN">Brunei Darussalam</option>
<option value="BG">Bulgaria</option>
<option value="BF">Burkina Faso</option>
<option value="BI">Burundi</option>
<option value="KH">Cambodia</option>
<option value="CM">Cameroon</option>
<option value="CA">Canada</option>
<option value="CV">Cape Verde</option>
<option value="KY">Cayman Islands</option>
<option value="CF">Central African Republic</option>
<option value="TD">Chad</option>
<option value="CL">Chile</option>
<option value="CN">China</option>
<option value="CX">Christmas Island</option>
<option value="CC">Cocos (Keeling) Islands</option>
<option value="CO">Colombia</option>
<option value="KM">Comoros</option>
<option value="CG">Congo</option>
<option value="CD">Congo (Democratic Republic)</option>
<option value="CK">Cook Islands</option>
<option value="CR">Costa Rica</option>
<option value="CI">Cote D'Ivoire</option>
<option value="HR">Croatia</option>
<option value="CU">Cuba</option>
<option value="CY">Cyprus</option>
<option value="CZ">Czech Republic</option>
<option value="DK">Denmark</option>
<option value="DJ">Djibouti</option>
<option value="DM">Dominica</option>
<option value="DO">Dominican Republic</option>
<option value="EC">Ecuador</option>
<option value="EG">Egypt</option>
<option value="SV">El Salvador</option>
<option value="GQ">Equatorial Guinea</option>
<option value="ER">Eritrea</option>
<option value="EE">Estonia</option>
<option value="ET">Ethiopia</option>
<option value="FK">Falkland Islands (Malvinas)</option>
<option value="FO">Faroe Islands</option>
<option value="FJ">Fiji</option>
<option value="FI">Finland</option>
<option value="FR">France</option>
<option value="GF">French Guiana</option>
<option value="PF">French Polynesia</option>
<option value="TF">French Southern Territories</option>
<option value="GA">Gabon</option>
<option value="GM">Gambia</option>
<option value="GE">Georgia</option>
<option value="DE">Germany</option>
<option value="GH">Ghana</option>
<option value="GI">Gibraltar</option>
<option value="GR">Greece</option>
<option value="GL">Greenland</option>
<option value="GD">Grenada</option>
<option value="GP">Guadeloupe</option>
<option value="GU">Guam</option>
<option value="GT">Guatemala</option>
<option value="GG">Guernsey</option>
<option value="GN">Guinea</option>
<option value="GW">Guinea-Bissau</option>
<option value="GY">Guyana</option>
<option value="HT">Haiti</option>
<option value="HM">Heard Island & Mcdonald Islands</option>
<option value="VA">Holy See (Vatican City State)</option>
<option value="HN">Honduras</option>
<option value="HK">Hong Kong</option>
<option value="HU">Hungary</option>
<option value="IS">Iceland</option>
<option value="IN">India</option>
<option value="ID">Indonesia</option>
<option value="IR">Iran (Islamic Republic)</option>
<option value="IQ">Iraq</option>
<option value="IE">Ireland</option>
<option value="IM">Isle Of Man</option>
<option value="IL">Israel</option>
<option value="IT">Italy</option>
<option value="JM">Jamaica</option>
<option value="JP">Japan</option>
<option value="JE">Jersey</option>
<option value="JO">Jordan</option>
<option value="KZ">Kazakhstan</option>
<option value="KE">Kenya</option>
<option value="KI">Kiribati</option>
<option value="KP">Korea (Democratic People's Republic)</option>
<option value="KR">Korea (Republic)</option>
<option value="KW">Kuwait</option>
<option value="KG">Kyrgyzstan</option>
<option value="LA">Laos</option>
<option value="LV">Latvia</option>
<option value="LB">Lebanon</option>
<option value="LS">Lesotho</option>
<option value="LR">Liberia</option>
<option value="LY">Libyan Arab Jamahiriya</option>
<option value="LI">Liechtenstein</option>
<option value="LT">Lithuania</option>
<option value="LU">Luxembourg</option>
<option value="MO">Macao</option>
<option value="MK">Macedonia (Yugoslav Republic)</option>
<option value="MG">Madagascar</option>
<option value="MW">Malawi</option>
<option value="MY">Malaysia</option>
<option value="MV">Maldives</option>
<option value="ML">Mali</option>
<option value="MT">Malta</option>
<option value="MH">Marshall Islands</option>
<option value="MQ">Martinique</option>
<option value="MR">Mauritania</option>
<option value="MU">Mauritius</option>
<option value="YT">Mayotte</option>
<option value="MX">Mexico</option>
<option value="FM">Micronesia (Federated States)</option>
<option value="MD">Moldova (Republic)</option>
<option value="MC">Monaco</option>
<option value="MN">Mongolia</option>
<option value="MS">Montserrat</option>
<option value="MA">Morocco</option>
<option value="MZ">Mozambique</option>
<option value="MM">Myanmar</option>
<option value="NA">Namibia</option>
<option value="NR">Nauru</option>
<option value="NP">Nepal</option>
<option value="NL">Netherlands</option>
<option value="AN">Netherlands Antilles</option>
<option value="NC">New Caledonia</option>
<option value="NZ">New Zealand</option>
<option value="NI">Nicaragua</option>
<option value="NE">Niger</option>
<option value="NG">Nigeria</option>
<option value="NU">Niue</option>
<option value="NF">Norfolk Island</option>
<option value="MP">Northern Mariana Islands</option>
<option value="NO">Norway</option>
<option value="OM">Oman</option>
<option value="PK">Pakistan</option>
<option value="PW">Palau</option>
<option value="PS">Palestinian Territory</option>
<option value="PA">Panama</option>
<option value="PG">Papua New Guinea</option>
<option value="PY">Paraguay</option>
<option value="PE">Peru</option>
<option value="PH">Philippines</option>
<option value="PN">Pitcairn</option>
<option value="PL">Poland</option>
<option value="PT">Portugal</option>
<option value="PR">Puerto Rico</option>
<option value="QA">Qatar</option>
<option value="RE">Reunion</option>
<option value="RO">Romania</option>
<option value="RU">Russian Federation</option>
<option value="RW">Rwanda</option>
<option value="SH">Saint Helena</option>
<option value="KN">Saint Kitts & Nevis</option>
<option value="LC">Saint Lucia</option>
<option value="PM">Saint Pierre & Miquelon</option>
<option value="VC">Saint Vincent & The Grenadines</option>
<option value="WS">Samoa</option>
<option value="SM">San Marino</option>
<option value="ST">Sao Tome & Principe</option>
<option value="SA">Saudi Arabia</option>
<option value="SN">Senegal</option>
<option value="CS">Serbia & Montenegro</option>
<option value="SC">Seychelles</option>
<option value="SL">Sierra Leone</option>
<option value="SG">Singapore</option>
<option value="SK">Slovakia</option>
<option value="SI">Slovenia</option>
<option value="SB">Solomon Islands</option>
<option value="SO">Somalia</option>
<option value="ZA">South Africa</option>
<option value="GS">South Georgia & The South Sandwich Islands</option>
<option value="ES">Spain</option>
<option value="LK">Sri Lanka</option>
<option value="SD">Sudan</option>
<option value="SR">Suriname</option>
<option value="SJ">Svalbard & Jan Mayen</option>
<option value="SZ">Swaziland</option>
<option value="SE">Sweden</option>
<option value="CH">Switzerland</option>
<option value="SY">Syrian Arab Republic</option>
<option value="TW">Taiwan</option>
<option value="TJ">Tajikistan</option>
<option value="TZ">Tanzania (United Republic)</option>
<option value="TH">Thailand</option>
<option value="TL">Timor-Leste</option>
<option value="TG">Togo</option>
<option value="TK">Tokelau</option>
<option value="TO">Tonga</option>
<option value="TT">Trinidad & Tobago</option>
<option value="TN">Tunisia</option>
<option value="TR">Turkey</option>
<option value="TM">Turkmenistan</option>
<option value="TC">Turks & Caicos Islands</option>
<option value="TV">Tuvalu</option>
<option value="UG">Uganda</option>
<option value="UA">Ukraine</option>
<option value="AE">United Arab Emirates</option>
<option value="GB">United Kingdom</option>
<option value="US">United States</option>
<option value="UM">United States Minor Outlying Islands</option>
<option value="UY">Uruguay</option>
<option value="UZ">Uzbekistan</option>
<option value="VU">Vanuatu</option>
<option value="VE">Venezuela</option>
<option value="VN">Vietnam</option>
<option value="VG">Virgin Islands (British)</option>
<option value="VI">Virgin Islands (US)</option>
<option value="WF">Wallis & Futuna</option>
<option value="EH">Western Sahara</option>
<option value="YE">Yemen</option>
<option value="ZM">Zambia</option>
<option value="ZW">Zimbabwe</option>
</select>

</td></tr>

<tr><td width=100><p>City or Municipality</p></td><td colspan=3><input class=input type=text autocomplete=off name=city maxlength=100></td></tr>

<tr><td width=100><p>Registration Code</p></td><td colspan=3><input class=input type=text autocomplete=off name=captcha_put maxlength=7></td></tr>
<tr><td><p></p></td><td colspan=3><input class=input type=submit value="click here to submit your registration"></td></tr>
</form>
<form enctype="multipart/form-data" action="<?php echo 'http://' . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']); ?>" method="post">
<tr><td><p></p></td><td colspan=3><input class=input type=submit value="click here to go to the index page"></td></tr>
</for
